--- title: "AWS S3 Server Access Logs" slug: "aws-s3-server-access-logs" tags: ["Self Service Ingestion"] updated: 2025-01-21T15:54:00Z published: 2025-01-21T15:54:00Z canonical: "docs.hunters.ai/aws-s3-server-access-logs" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.hunters.ai/llms.txt > Use this file to discover all available pages before exploring further. # AWS S3 Server Access Logs Self Service Ingestion Connect this data source on your own, using the Hunters platform. ## Overview ![](https://cdn.document360.io/5f63f0e0-3c70-4d00-b623-82493be0bde5/Images/Documentation/Simple Storage Service.png?sv=2026-02-06&spr=https&st=2026-11-11T09%3A08%3A17Z&se=2026-11-11T10%3A08%3A17Z&sr=c&sp=r&sig=Z4r2SWFUsHX%2B5mAInfGLT0%2B4Bqxg8K5Ia8fVOm8tC3k%3D)**Table name:** `aws_s3_server_access_logs` [AWS S3 Server Access logs](https://docs.aws.amazon.com/AmazonS3/latest/userguide/ServerLogs.html) provide detailed records for the requests that are made to a bucket. Server access logs are useful for many applications - access log information can be useful in security and access audits, as well as help you learn about your customer base and understand your Amazon S3 bill. ## Send data to Hunters **To connect AWS EKS Control Plane logs:** 1. Follow [this guide](https://docs.aws.amazon.com/AmazonS3/latest/userguide/enable-server-access-logging.html) to route the logs to an AWS S3 bucket. 2. Once the export is completed and the logs are collected to S3, follow the steps in [this section](https://hunters.document360.io/docs/connect-data-through-aws-s3). ## Expected format Logs should be in a csv format. ```plaintext abc123b949e55d96a1e698fbacedfd6e09d98eacf8f8d5218e7cd47ef2be DOC-EXAMPLE-BUCKET1 [06/Feb/2019:00:00:38 +0000] 192.0.2.3 abc123b949e55d96a1e698fbacedfd6e09d98eacf8f8d5218e7cd47ef2be 3E57427F3EXAMPLE REST.GET.VERSIONING - "GET /DOC-EXAMPLE-BUCKET1?versioning HTTP/1.1" 200 - 113 - 7 - "-" "S3Console/0.4" - s9lzHYrFp76ZVxRcpX9+5cjAnEH2ROuNkd2BHfIa6UkFVdtjf5mKR3/eTPFvsiP/XV/VLi31234= SigV4 ECDHE-RSA-AES128-GCM-SHA256 AuthHeader DOC-EXAMPLE-BUCKET1.s3.us-west-1.amazonaws.com TLSV1.2 arn:aws:s3:us-west-1:123456789012:accesspoint/example-AP Yes abc123b949e55d96a1e698fbacedfd6e09d98eacf8f8d5218e7cd47ef2be DOC-EXAMPLE-BUCKET1 [06/Feb/2019:00:00:38 +0000] 192.0.2.3 abc123b949e55d96a1e698fbacedfd6e09d98eacf8f8d5218e7cd47ef2be 891CE47D2EXAMPLE REST.GET.LOGGING_STATUS - "GET /DOC-EXAMPLE-BUCKET1?logging HTTP/1.1" 200 - 242 - 11 - "-" "S3Console/0.4" - 9vKBE6vMhrNiWHZmb2L0mXOcqPGzQOI5XLnCtZNPxev+Hf+7tpT6sxDwDty4LHBUOZJG96N1234= SigV4 ECDHE-RSA-AES128-GCM-SHA256 AuthHeader DOC-EXAMPLE-BUCKET1.s3.us-west-1.amazonaws.com TLSV1.2 - - ```